void ProcessDialogEvent()
{
	ref NPChar;
	aref Link, NextDiag;

	DeleteAttribute(&Dialog,"Links");

	makeref(NPChar,CharacterRef);
	makearef(Link, Dialog.Links);
	makearef(NextDiag, NPChar.Dialog);

	switch(Dialog.CurrentNode)
	{
		case "First time":
			dialog.text = "Ty jesteś kapitan Shark?";
			link.l1 = "W rzeczy samej. Co mogę...";
			link.l1.go = "1";

			NextDiag.TempNode = "First time";
		break;

		case "1":
			dialog.text = "Dobrze, mam dla ciebie przesyłkę od twojego ojca.";
			link.l1 = "Ale mój ojciec nie żyje od dwudziestu lat! Jak mógłby mi wysłać cokolwiek?";
			link.l1.go = "2";
		break;

		case "2":
			dialog.text = "Jestem zwykłym posłańcem i robię to, za co mi płacą - czyli dostarczam ci przesyłkę. A teraz, jeśli pozwolisz, oddalę się.";
			link.l1 = "Co to znaczy? Hej, czekaj!..";
			link.l1.go = "Exit";
		break;

		case "Exit":
			NextDiag.CurrentNode = NextDiag.TempNode;
			DialogExit();
		break;
	}
}